Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
Interface UrlMappingInfo

All Known Implementing Classes:
  AbstractUrlMappingInfo, DefaultUrlMappingInfo, ForwardUrlMappingInfo

    public interface UrlMappingInfo

The UrlMappingInfo interface defines that data that was produced when matching a URI with a UrlMapping instance.

Since:
  0.5

  Created: Feb 28, 2007 Time: 5:56:38 PM
Author:
  Graeme Rocher
See Also:
  `UrlMapping`

Method Summary
`void` | `configure(GrailsWebRequest webRequest)` Configure this UrlMappingInfo the for the given GrailsWebRequest
`String` | `getActionName()` The name of the action that the URL mappping maps to
`String` | `getControllerName()` The name of the controller that the URL mapping maps to
`String` | `getId()` The id part of the URL mapping if any
`Map` | `getParameters()` The parameters that were extracted from the URI that was matched
`String` | `getURI()` The URI to map to.
`String` | `getViewName()` The name of the view that the URL mappping maps to
`boolean` | `isParsingRequest()` Returns true of the request body should be parsed.

Method Detail

### getURI

    String getURI()

  The URI to map to. Note when the URI is specified it overrides any explicit controller/action/id mappings. In other words you can either specify the URI or the controller/action/id, but not both

  Returns:
    The URI to use

### getControllerName

    String getControllerName()

  The name of the controller that the URL mapping maps to

  Returns:
    The name of the controller

### getActionName

    String getActionName()

  The name of the action that the URL mappping maps to

  Returns:
    The name of the action or null if not known

### getViewName

    String getViewName()

  The name of the view that the URL mappping maps to

  Returns:
    The name of the view or null if not known

### getId

    String getId()

  The id part of the URL mapping if any

  Returns:
    The id or null

### getParameters

    Map getParameters()

  The parameters that were extracted from the URI that was matched

  Returns:
    A Map of parameters

### configure

    void configure(GrailsWebRequest webRequest)

  Configure this UrlMappingInfo the for the given GrailsWebRequest

  Parameters:
    `webRequest` - The GrailsWebRequest instance

### isParsingRequest

    boolean isParsingRequest()

  Returns true of the request body should be parsed. This typically happens in the case of REST requests that parse JSON or XML packets

  Returns:
    True if it is

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project